Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88336 - nptl SEGV with combination of pthread_cond_wait() / pthread_cond_timedwait() & pthread_exit()
Summary: nptl SEGV with combination of pthread_cond_wait() / pthread_cond_timedwait() ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 03:24 UTC by David Watson
Modified: 2016-11-24 14:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-17 04:48:02 UTC


Attachments (Terms of Use)
Code to demonstate nptl fault (deleted)
2003-04-09 03:26 UTC, David Watson
no flags Details

Description David Watson 2003-04-09 03:24:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Threaded application segfaulted in Async I/O. This was traced to a fault in
NPTL. Sample code to reproduce fault is attached. Sample code runs fine with
LD_ASSUME_KERNEL=2.2.5.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Compile attached sample with 'gcc -o nptl -lpthread nptl.c'
2.Run nptl
3.
    

Actual Results:  Segmentation Fault

Expected Results:  Success

Additional info:

Comment 1 David Watson 2003-04-09 03:26:07 UTC
Created attachment 91024 [details]
Code to demonstate nptl fault

Comment 2 Jakub Jelinek 2003-04-09 07:08:29 UTC
This ought to be fixed in the proposed glibc bugfix errata.
ftp://people.redhat.com/jakub/glibc/errata/9/

Comment 3 Ulrich Drepper 2003-04-17 04:08:23 UTC
Try glibc-2.3.2-27.9 and let us know.  The program prints "success" for me.

Comment 4 David Watson 2003-04-17 04:48:02 UTC
Fixed in errata.


Note You need to log in before you can comment on or make changes to this bug.